function [objective_1,x] = transport_problem_Sqrt_quadratic_VK(y,left_w_j,x_initial,fid)

clear iargstruc_arrn problem_statement solution_str outargstruc_arr
x_num=size(x_initial,2); 
y_num=size(y,2);
y_dim_1=size(y,1);

count=0;
for i=1:x_num; for j=1:y_num
       %%%%% header 
       varx_loc={}; for k=1:y_dim_1; varx_loc = [varx_loc,sprintf('x_%g_%g',i,k)]; end
       varx_loc = {varx_loc};
       %%%%% pack matix
       
       y2sum=0; for k=1:y_dim_1; y2sum=y2sum+y(k,j)^2; end
       count = count+1; iargstruc_arrn(count)=tbpsg_matrix_pack(sprintf('matrix_obj_%g_%g',i,j),[eye(y_dim_1);zeros(1,y_dim_1)],varx_loc{1},[-2*y(:,j); y2sum ] );
end; end

w_new = left_w_j;   %*sqrt(y_dim_1);
obj_string_loc='minimize';
for i=1:x_num; for j=1:y_num
        if w_new(i,j)~=0, obj_string_loc = sprintf('%s\n %19.12g*sqrt_quadratic(matrix_obj_%g_%g)',obj_string_loc,w_new(i,j),i,j);
        end
end; end

varx_loc = {}; datax_loc = [];
for i=1:x_num
   for k=1:y_dim_1; varx_loc = [varx_loc,sprintf('x_%g_%g',i,k)]; datax_loc = [datax_loc,x_initial(k,i)]; end
end

%%%%% pack matix
count = count+1; iargstruc_arrn(count)=tbpsg_point_pack('point_initial_x',datax_loc,varx_loc);


problem_statement=sprintf('%s\n',...
[obj_string_loc],...
'Solver: van, init_point = point_initial_x',...
'');

tbpsg_export_to_workspace(iargstruc_arrn)

disp(' '); toc; 
disp(' '); if fid>0, i=fprintf(fid, 'Prepare_1                                     %7.2f\n',toc); end


%tbpsg_toolbox(problem_statement, iargstruc_arrn)
[solution_str, outargstruc_arr] = tbpsg_run(problem_statement, iargstruc_arrn);
%tic

point_x_data = tbpsg_point_data(solution_str, outargstruc_arr);
point_x_data=point_x_data{1};
point_x_vars = tbpsg_point_vars(solution_str, outargstruc_arr);
point_x_vars=point_x_vars(1,:);

									[objective_1,timeload,timeprep,timesol]=AnalyzeSolution(solution_str);
if fid>0, i=fprintf(fid, 'Objective_1 Three_times   %17.10g   %7.2f   %7.2f   %7.2f\n',objective_1,timeload,timeprep,timesol); end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%datax_loc = [];
x_loc = zeros(y_dim_1,x_num);
for j=1:size(point_x_data,2)
    [a1,a2,a3]=strread(point_x_vars{1}{j},'%s%u%u','delimiter','_');
    x_loc(a3,a2) = point_x_data(j);
    
    %datax_loc = [datax_loc,point_x_data(j)];        % Init point for problem 1
end
x = x_loc; 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


end % function transport_problem_1_L2

%==========================================================================
